Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.sequencer
Interface StreamSequencer

All Known Implementing Classes:
  AbstractTextSequencer, ClassFileSequencer, CndSequencer, DdlSequencer, DelimitedTextSequencer, FixedWidthTextSequencer, ImageMetadataSequencer, InheritingXmlSequencer, JavaMetadataSequencer, ModelSequencer, Mp3MetadataSequencer, MSOfficeMetadataSequencer, VdbSequencer, WsdlSequencer, XmlSequencer, XsdSequencer, ZipSequencer

    public interface StreamSequencer

The interface for a ModeShape sequencer that processes a property as a stream to extract information from the content and store in the repository.

ModeShape creates a new StreamSequencer instance each time a sequencing operation is to be performed on some input data. Therefore, implementations must provide a no-argument constructor. Implementations may also define Java-bean style property setters that will be used to pass sequencer configuration properties to the sequencer instance.

Method Summary
`void` | `sequence(InputStream stream, SequencerOutput output, StreamSequencerContext context)` Sequence the data found in the supplied stream, placing the output information into the supplied map.

Method Detail

### sequence

    void sequence(InputStream stream,
                  SequencerOutput output,
                  StreamSequencerContext context)

  Sequence the data found in the supplied stream, placing the output information into the supplied map.

  ModeShape's SequencingService determines the sequencers that should be executed by monitoring the changes to one or more workspaces that it is monitoring. Changes in those workspaces are aggregated and used to determine which sequencers should be called. If the sequencer implements this interface, then this method is called with the property that is to be sequenced along with the interface used to register the output. The framework takes care of all the rest.

  Parameters:
    `stream` - the stream with the data to be sequenced; never `null`
    `output` - the output from the sequencing operation; never `null`
    `context` - the context for the sequencing operation; never `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.